'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.colorToHex = exports.colorToHSL = undefined;

var _lodash = require('lodash.isarray');

var _lodash2 = _interopRequireDefault(_lodash);

var _hslToHex2 = require('hsl-to-hex');

var _hslToHex3 = _interopRequireDefault(_hslToHex2);

var _hexToHsl = require('hex-to-hsl');

var _hexToHsl2 = _interopRequireDefault(_hexToHsl);

var _validation = require('./validation');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

// Return an HSL array whatever the color type is passed
var colorToHSL = exports.colorToHSL = function colorToHSL(c) {
	if ((0, _validation.isHSLArray)(c)) {
		return c;
	}

	if ((0, _validation.isHSLObject)(c)) {
		return (0, _validation.hslObjToArray)(c);
	}

	if ((0, _validation.isHexColor)(c)) {
		return (0, _hexToHsl2.default)(c);
	}

	return c;
};

// Returns an hex string value, whatever color type is passed in argument
var colorToHex = exports.colorToHex = function colorToHex(c) {
	if ((0, _lodash2.default)(c)) {
		return _hslToHex3.default.apply(undefined, _toConsumableArray(c));
	}

	if ((0, _validation.isHSLObject)(c)) {
		return (0, _hslToHex3.default)(c.hue, c.sat, c.lit);
	}

	if ((0, _validation.isHexColor)(c)) {
		return c;
	}

	return c;
};